Bug 476350 - Review Request: python-networkx - Creates and Manipulates Graphs and Networks
Review Request: python-networkx - Creates and Manipulates Graphs and Networks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 07:24 EST by Conrad Meyer
Modified: 2014-03-14 15:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 18:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-12-13 07:24:53 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/python-networkx.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/python-networkx-0.99-1.fc9.src.rpm
Description:
NetworkX is a Python package for the creation, manipulation, and
study of the structure, dynamics, and functions of complex networks.
Comment 1 Conrad Meyer 2008-12-13 07:29:20 EST
Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=996538
Comment 2 Jason Tibbitts 2009-03-12 18:29:25 EDT
rpmlint says:
  python-networkx.noarch: E: explicit-lib-dependency python-matplotlib
which is bogus.

I can't find where the license is limited to LGPLv2 only.  Nothing seems to mention a version, which would imply LGPLv2+.  Or did I miss something?  You also need to include the doc/GNU_LGPL.txt file as documentation.

I wonder if it isn't a bit broken that rpm byte-compiles the examples.  I'm not sure if there's a reasonable way to get it to stop doing so.

There is some sort of included test suite.  I don't know quite enough about python to know how to run it, though there are some instructions in networks/tests/README.  You will quite a few additional build deps, of course.

* source files match upstream.  sha256sum:
   8b65557c6048a2bc4d5fb0fe539139d3656d9c86367c89297ad40e12e90766ad  
   networkx-0.99.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field does not seem to match the actual license.
* license is open source-compatible.
X license text not included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   python-networkx = 0.99-1.fc11
  =
   PyYAML
   ipython
   numpy
   pydot
   python(abi) = 2.6
   python-matplotlib
   scipy

X %check is not present, but there's a runnable test suite.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 4 Jason Tibbitts 2009-03-24 16:33:18 EDT
The licence stuff looks OK now.

The %check section is there, but the tests seem to fail all over the place.  I guess it's possible that they can't be run; at least something seems to want Gtk which would imply X.  I'm not really sure.

Also, if you're going to use the macro form %{__python} in the %build section (which is OK although I've never understood what it was supposed to be good for) you should also use it in %check if it turns out that there's any point in running the checks.
Comment 5 Conrad Meyer 2009-03-24 16:42:14 EDT
I was only using '%{__python}' in %build because for whatever reason the rpmdevtools spectemplate for python uses it (I would prefer plain 'python'). Should I disable the checks for now?
Comment 6 Jason Tibbitts 2009-03-24 17:01:24 EDT
I've never understood why the template uses the macro form of the interpreter; I always remove it myself and you're free to do the same.  The important thing is consistency.

As for the checks, the point is for the packager to investigate the test suite and either enable it, enable as much as can be run by patching out the bits that can't, or to indicate that it's there but can't be run for whatever reason.  I don't know what's the best course of action for this package, except to know that the first option obviously doesn't work.
Comment 7 Conrad Meyer 2009-03-24 17:17:00 EDT
Switched all uses of %{__python} to python; commented out checks for now, with a note; replaced a %define with %global:

http://konradm.fedorapeople.org/fedora/SPECS/python-networkx.spec
http://konradm.fedorapeople.org/fedora/SRPMS/python-networkx-0.99-3.fc10.src.rpm
Comment 8 Jason Tibbitts 2009-03-24 17:34:40 EDT
Looks good, thanks.  APPROVED
Comment 9 Conrad Meyer 2009-03-24 17:53:56 EDT
Thanks!

New Package CVS Request
=======================
Package Name: python-networkx
Short Description: Creates and Manipulates Graphs and Networks
Owners: konradm
Branches: F-10
InitialCC:
Comment 10 Kevin Fenzi 2009-03-27 16:29:41 EDT
cvs done.
Comment 11 Conrad Meyer 2009-03-27 18:46:39 EDT
Imported and built:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1262327
Comment 12 Pádraig Brady 2014-03-14 14:45:59 EDT
Package Change Request
======================
Package Name: python-networkx
New Branches: el6 epel7
Owners: jjames pbrady
Comment 13 Jon Ciesla 2014-03-14 15:23:51 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.